<!DOCTYPE html>
<html>
	<head>
		<title>Mini-Calculatrice</title>
		
		<meta charset="utf-8"/>
		
		<link rel="stylesheet" type="text/css" href="Style.css">
	</head>
	<body>
		<h1>Calculatrice</h1>
		<section>
			<!-- Champ input saisie 1 -->
			<input type="number" id="un" value=""/>

			<!-- Champ input saisie 2 -->
			<input type="number" id="deux" value=""/>
		</section>
		<section class="all_button">
			<!-- Input type radio == selection  -->
			<button type="submit" onclick="calculer()" id="plus" value="+" /> + </button>
			<button type="submit" onclick="calculer()" id="moin" value="-"/> - </button>
			<button type="submit" onclick="calculer()" id="multiple" value="*"/> * </button>
			<button type="submit" onclick="calculer()" id="divide" value="/"/> / </button>
		</section>
		<section>
			<!-- input TOTAL onclick   -->
			<input type="submit" onclick="calculer()" id="valider" value="valider"/>

			<!-- Affiche résultat   -->
			<h2>Résultat</h2>
			<output id="afficher"></output>
		</section>

		<script type="text/javascript">

			function calculer(){ // dans la Funtion calcule
								// parseInt (string, base);
								// function parseInt() convertit le premier argument en une chaine l'anlyse et renvoie un entier ou NaN
								// String = valeur analyser et converti
								// base = Un entier (10,8,16,10) compris qui présente la base
				//Var champ1 saisie 
				var champ1 = parseInt(document.getElementById('un').value); 
				//Var champ2 saisie
				var champ2 = parseInt(document.getElementById('deux').value);

				/*if (document.getElementById("plus","moin","multiplication","division").checked);
				return true;*/
					
				if(document.getElementById('plus').value){ 
					//Condition if "si" (vérification opérateurs selectionés)
					var addition = champ1 + champ2;
					document.getElementById("afficher").innerHTML = addition;
				}

				else if(document.getElementById('moin').value){
					//sous-Condition else if "ou sinon" (vérification opérateurs selectionés)
					var soustraction = champ1 - champ2;
					document.getElementById("afficher").innerHTML = soustraction;
				}

				else if(document.getElementById('multiple').value){
					var multiplication = champ1 * champ2;
					document.getElementById("afficher").innerHTML = multiplication;
				}

				else if(document.getElementById("divide").value){
					var division = champ1 / champ2;
					document.getElementById("afficher").innerHTML = division;
				}
			}
		</script>
	</body>
</html>